Bug 461242 - (CVE-2008-3146) CVE-2008-3146 wireshark: multiple buffer overflows in NCP dissector
CVE-2008-3146 wireshark: multiple buffer overflows in NCP dissector
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=vendor-sec,reported=20080710,p...
: Security
Depends On: 461254 461255 461566 461567 461568 461569 461570 833989
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 05:49 EDT by Tomas Hoger
Modified: 2012-06-20 10:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 14:17:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-09-05 05:49:50 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3146 to the following vulnerability:

Multiple buffer overflows in packet_ncp2222.inc in Wireshark (formerly
Ethereal) 0.9.7 through 1.0.2 allows attackers to cause a denial of
service (application crash) and possibly execute arbitrary code via a
crafted NCP packet that causes an invalid pointer to be used.

References:
http://www.wireshark.org/security/wnpa-sec-2008-05.html
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2675
http://lists.opensuse.org/opensuse-security-announce/2008-08/msg00006.html
Comment 3 Fedora Update System 2008-09-11 13:05:06 EDT
wireshark-1.0.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-09-11 13:10:52 EDT
wireshark-1.0.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Red Hat Product Security 2008-10-01 14:17:34 EDT
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0890.html

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-7894
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-7936

Note You need to log in before you can comment on or make changes to this bug.